[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: DBus plan for Lenny

Matthew Johnson wrote:
> Hi guys, I'm looking to come up with a plan for DBus in Lenny. The
> relevant bug is #508032.
> A quick synopsis of the problem is that until recently DBus was shipped
> with a default configuration on the system bus which allowed more
> message than was intended. 1.2.10 fixes this but unfortunately it breaks
> numerous other bits of software which relied on this (mainly
> introspection). There is also a 'permissive' release which merely logs
> when there would be a problem but still lets them through. It does not
> actually fix the problem, however.
> If we do want to fix the problem properly then all the packages which
> rely on the broken behaviour will also need to be fixed. This should be
> as simple as just adding a few lines to their system bus config files.
> I've attached a list of packages which would be affected. The shorter
> list (*-files*, also has a list of versions in lenny and sid and
> migration excuses. Sorry if there's a better way to do that than I've
> found!) is those packages which already drop a file in
> /etc/dbus-1/system.d, which should be everything. There is a small
> possibility that there is a package which does not currently have a
> config file but which should. The longer list is rdepends of
> libdbus-1-3, it will definitely not be anything not on this list.
> Opinions?

Please start preparing things in unstable, so we can have a further idea
of the impact and how to solve the remaining bits, TIA.



Reply to: